## org.mortbay.jetty.ant.utils
Interface ServerProxy

All Known Implementing Classes:
  ServerProxyImpl

    public interface ServerProxy

Method Summary
`void` `addWebApplication(WebApplicationProxy webApp, int scanIntervalSeconds)` Adds a new web application to this server.
`Object` `getProxiedObject()`
`void` `start()` Starts this server.

Method Detail

### addWebApplication

    void addWebApplication(WebApplicationProxy webApp,
                           int scanIntervalSeconds)

  Adds a new web application to this server.

  Parameters:
    `webApp` - a WebApplicationProxy object.
    `scanIntervalSeconds` -

### start

    void start()

  Starts this server.

### getProxiedObject

    Object getProxiedObject()

Copyright © 2008 Mort Bay Consulting. All Rights Reserved.